Bug 133643 - [EFL] Change expectations for four layout tests
Summary: [EFL] Change expectations for four layout tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-09 08:23 PDT by Andrzej Badowski
Modified: 2014-06-09 10:02 PDT (History)
2 users (show)

See Also:


Attachments
proposed patch (15.14 KB, patch)
2014-06-09 08:34 PDT, Andrzej Badowski
no flags Details | Formatted Diff | Diff
proposed patch_2 (15.11 KB, patch)
2014-06-09 09:07 PDT, Andrzej Badowski
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrzej Badowski 2014-06-09 08:23:57 PDT
1)fast/canvas/webgl/css-webkit-canvas-repaint.html
  TestExpectations for EFL WK2 port should be changed from [ ImageOnlyFailure ] to [ Failure ], based on 200 last test results from 2014-05-06 to 2014-06-09, which are only FAIL
2)fast/canvas/webgl/oes-texture-half-float-with-image.html
  expectations for EFL WK2 port should be changed from CRASH PASS to FAIL CRASH, based on 200 last test results from 2014-05-06 to 2014-06-09
3)fullscreen/video-controls-override.html
  The test itself has not been changed since 2012-06-13, but other causes resulted in the expected record:
   ... ['display'] == 'none') OK 
  changed to
   ... ['display'] == 'none' ), OBSERVED '' FAIL 
  what has already been taken into account for the MAC and GTK. Recent approximately 200 results for EFL WK2 also confirm this.
4)inspector-protocol/dom/getAccessibilityPropertiesForNode.html
  This is a relatively new test (2014-02-19) several times changed by the author (last 2014-04-10), which makes it necessary to adapt the file ...-expected.txt, by analogy, as has been done for the GTK port.
Comment 1 Andrzej Badowski 2014-06-09 08:34:26 PDT
Created attachment 232704 [details]
proposed patch
Comment 2 Andrzej Badowski 2014-06-09 09:07:09 PDT
Created attachment 232706 [details]
proposed patch_2
Comment 3 WebKit Commit Bot 2014-06-09 10:02:08 PDT
Comment on attachment 232706 [details]
proposed patch_2

Clearing flags on attachment: 232706

Committed r169691: <http://trac.webkit.org/changeset/169691>
Comment 4 WebKit Commit Bot 2014-06-09 10:02:11 PDT
All reviewed patches have been landed.  Closing bug.